> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstanswer.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get action plan details by ID



## OpenAPI

````yaml /pt/api-reference/openapi.yaml get /v1/action-plans/{action_plan_id}/
openapi: 3.0.3
info:
  title: First Answer API
  version: 1.0.0
servers:
  - url: https://api.firstanswer.ai
    description: Production
security: []
tags:
  - name: Brands
    description: Manage brands in your workspace
  - name: Groups
    description: Organize prompts into groups
  - name: Monitored Competitors
    description: Track competitor visibility
  - name: Monitored Prompts
    description: Track and analyze AI prompts
  - name: Cited Sources
    description: View sources cited in AI responses
  - name: Action Plans
    description: Manage optimization action plans
  - name: Dashboard
    description: Aggregated metrics and insights
paths:
  /v1/action-plans/{action_plan_id}/:
    get:
      tags:
        - Action Plans
      summary: Get action plan details by ID
      operationId: action_plans_retrieve_2
      parameters:
        - in: path
          name: action_plan_id
          schema:
            type: integer
          required: true
        - in: query
          name: brand_id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionPlanDetail'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ActionPlanDetail:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ActionPlanId'
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
    ActionPlanId:
      type: object
      properties:
        summary:
          type: string
          description: Summary of the action plan
        opportunities:
          type: array
          items:
            $ref: '#/components/schemas/Opportunity'
          description: List of opportunities
      required:
        - opportunities
        - summary
    Opportunity:
      type: object
      properties:
        recommendation:
          type: string
          description: Recommendation for the opportunity
        reason:
          type: string
          description: Reason for the opportunity
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
          description: List of actions
        priority:
          type: integer
          description: Priority of the opportunity
      required:
        - actions
        - priority
        - reason
        - recommendation
    Action:
      type: object
      properties:
        title:
          type: string
          description: Title of the action
        description:
          type: string
          description: Description of the action
        urls_related:
          type: array
          items:
            type: string
            format: uri
          description: List of URLs related to the action
      required:
        - description
        - title
        - urls_related
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````